package com.loafle.overflow.service.central.probe;

import java.util.List;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.probe.ProbeHost;

/**
 * Created by snoop on 17. 8. 21.
 */
public interface ProbeHostService {
  ProbeHost read(Long id) throws OverflowException;

  ProbeHost readByProbeID(Long probeID) throws OverflowException;

  ProbeHost regist(ProbeHost probeHost) throws OverflowException;

  @WebappAPI
  List<ProbeHost> readAllByDomainID(Long domainID) throws OverflowException;
}
