package com.loafle.overflow.service.central.sensor;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.core.model.PageParams;
import com.loafle.overflow.model.sensor.SensorItem;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * Created by insanity on 17. 6. 28.
 */
public interface SensorItemService {
  @WebappAPI
  SensorItem regist(SensorItem sensorItem) throws OverflowException;

  @WebappAPI
  boolean registAll(List<SensorItem> sensorItemList) throws OverflowException;

  @WebappAPI
  SensorItem read(String id) throws OverflowException;

  @WebappAPI
  Page<SensorItem> readAllBySensorID(Long sensorID, PageParams pageParams) throws OverflowException;

  @WebappAPI
  void remove(SensorItem sensorItem) throws OverflowException;
}
